﻿<!DOCTYPE html>
<html>
<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
<title>flexbox3marron</title>
<style>
	body{
		padding:4px;
		background-color:#2F2617;
	}
	main{
		display:flex;
		flex-direction:column;
	}
	#encabezado{
		display:flex;
		background-color:#C3570E;
		color:ivory
	}
	.container{
		display:flex;
		flex-direction:row;
	}
	#lateral{
		display:flex;
		flex:1;
		padding:6px;
		flex-direction:column;
		background-color:#21180F;
	}

	h2{
		color:#C3570E;
	}
	.row-1 p{
		color:#574A3A;
	}

	.row-1{
		flex-direction:column;
		flex:2;
		padding:4px;
		margin:2px;
		border:1px #574A3A solid;
	}
	#central{
		display:flex;
		flex:3;
		flex-direction:column;
		padding:4px;
		background-color:#2F2617;
	}
	#central p{
		color:#5E4633;
	}
	#escaparate{
		display:flex;
		color:ivory;
		flex-direction:column;
	}
	.rowcontainer{
		display:flex;
		flex-direction:row;
	}

	.row3{
		color:antiquewhite;
		flex:1;
		padding:6px;
		margin:4px;
		border:2px #574A3A solid;
		flex-direction:column;
	}
	.row2{
		color:antiquewhite;
		flex:1;
		padding:4px;
		margin:4px;
		border:2px #574A3A solid;
		flex-direction:column;
	}
	.row2 h2{
		color:antiquewhite;
	}


	#nav{
		display:flex;
		flex:1;
		flex-direction:column;
		padding:6px;
		background-color:#21180F;
	}
	nav li{
		flex:1;
		list-style:none;
		border:1px #574A3A solid;
		padding:4px;
		margin:4px;
	}
	nav a{
		color:#574A3A;
		text-decoration:none;
	}
	footer{		
		background-color:#C3570E;
		padding:4px;
		color:ivory;
	}
	footer a{
		color:ivory;
		padding:10px;
	}
</style>
</head>
<body>
	<main>
		<header id="encabezado">
			<h1>#encabezado</h1>
		</header>
		<div class="container">
			<div id="lateral">
				<h2>#LATERAL</h2>
				<div class="row-1">
					<h2>.ROW-1</h2>
					<p>In porttitor. Donec laoreet nonummy augue. Suspendisse dui purus, scelerisque at, vulputate vitae, 
					pretium mattis, nunc. Mauris eget neque at sem venenatis eleifend. Ut nonummy. </p>
				</div>
				<div class="row-1">
					<h2>.ROW-1</h2>
					<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas porttitor congue massa. 
					Fusce posuere, 
					magna sed pulvinar ultricies, purus lectus malesuada libero, sit amet commodo magna eros quis urna. 
					Nunc viverra imperdiet enim</p>

				</div>
				<div class="row-1">
					<h2>.ROW-1</h2>
					<p>Pellentesque porttitor, velit lacinia egestas auctor, diam eros tempus arcu, nec vulputate augue 
					magna vel risus. 
					Cras non magna vel ante adipiscing rhoncus. Vivamus a mi. Morbi neque. Aliquam erat volutpat</p>

				</div>
				<div class="row-1">
					<h2>.ROW-1</h2>
					<p>Quisque ornare placerat risus. Ut molestie magna at mi. Integer aliquet mauris et nibh. 
					Ut mattis ligula posuere velit. Nunc sagittis. Curabitur varius fringilla nisl. 
					Duis pretium mi euismod erat. Maecenas id augue. Nam vulputate</p>
				</div>
			</div>
			<div id="central">
				<h2>#CENTRAL</h2>
				<p>Pellentesque porttitor, velit lacinia egestas auctor, diam eros tempus arcu, nec vulputate augue magna vel risus. 
				Cras non magna vel ante adipiscing rhoncus. Vivamus a mi. Morbi neque. Aliquam erat volutpat. 
				Integer ultrices lobortis eros. Pellentesque habitant morbi tristique senectus et netus et malesuada 
				fames ac turpis egestas. Proin semper, ante vitae sollicitudin posuere, metus quam iaculis nibh, 
				vitae scelerisque nunc massa eget pede. Sed velit urna, interdum vel, ultricies vel, faucibus at, quam. 
				Donec elit est, consectetuer eget, consequat quis, tempus quis, wisi.</p>
				<div id="escaparate">
					<h2>#ESCAPARATE</h2>(.FLEX-CONTAINER .JUSTIFY-SPACE-BETWEEN .WRAP .ROW)
					<div class="rowcontainer">
						<div class="row3">
							<h3>.ROW-3</h3>
							<p>Proin semper, ante vitae sollicitudin posuere, metus quam iaculis nibh, 
							vitae scelerisque nunc massa eget pede</p>
						</div>
						<div class="row3">
							<h3>.ROW-3</h3>
							<p>Proin semper, ante vitae sollicitudin posuere, metus quam iaculis nibh, 
							vitae scelerisque nunc massa eget pede</p>
						</div>
						<div class="row3">
							<h3>.ROW-3</h3>
							<p>Proin semper, ante vitae sollicitudin posuere, metus quam iaculis nibh, 
							vitae scelerisque nunc massa eget pede</p>
						</div>
					</div>
					<div class="rowcontainer">
						<div class="row2">
							<h2>.ROW2</h2>
							<p>Proin semper, ante vitae sollicitudin posuere, metus quam iaculis nibh, 
							vitae scelerisque nunc massa eget pede</p>
						</div>
						<div class="row2">
							<h2>.ROW2</h2>
							<p>Proin semper, ante vitae sollicitudin posuere, metus quam iaculis nibh, 
							vitae scelerisque nunc massa eget pede</p>
						</div>
					</div>
				</div>
				<h2>ALGO MAS</h2>
				<p>Pellentesque porttitor, velit lacinia egestas auctor, diam eros tempus arcu, nec vulputate augue magna vel risus. 
				Cras non magna vel ante adipiscing rhoncus. Vivamus a mi. Morbi neque. Aliquam erat volutpat. 
				Integer ultrices lobortis eros. Pellentesque habitant morbi tristique senectus et netus et malesuada 
				fames ac turpis egestas. Proin semper, ante vitae sollicitudin posuere, metus quam iaculis nibh, 
				vitae scelerisque nunc massa eget pede. Sed velit urna, interdum vel, ultricies vel, faucibus at, quam. 
				Donec elit est, consectetuer eget, consequat quis, tempus quis, wisi.</p>
			</div>
			<nav id="nav">
				<h2>#NAV</h2>
				<ul>
					<li><a href="#">cajas flexibles</a></li>
					<li><a href="#">flex-direction</a></li>
					<li><a href="#">flex-wrap</a></li>
					<li><a href="#">align-items</a></li>
					<li><a href="#">justify-content</a></li>
					<li><a href="#">align-content</a></li>
					<li><a href="#">align-self</a></li>
					<li><a href="#">la propiedad flex</a></li>
					<li><a href="#">justify-content</a></li>				
				</ul>				
			</nav>			
		</div>
	</main>
	<footer>
		#pie <a href="#">can i use flexbox?</a>
	</footer>
</body>
</html>
